# Do not modify this file!  It was generated by ‘nixos-generate-config’
# and may be overwritten by future invocations.  Please make changes
# to /etc/nixos/configuration.nix instead.
{ config, lib, pkgs, ... }:

let
  unstable = import <nixos-unstable> {};
in {
  programs.sway = {
    enable = true;
    extraPackages = with pkgs; [
      bemenu
      grim
      i3status-rust
      kanshi
      mako
      slurp
      swayidle
      swaylock
    ];
  };

  environment = {
    etc = {
      "sway/config".source = ../dotfiles/sway/config;
      "sway/status.toml".source = ../dotfiles/sway/status.toml;
      "xdg/alacritty/alacritty.yml".source = ../dotfiles/alacritty.yml;
    };
  };

  sound.enable = true;
  hardware.pulseaudio.enable = true;

  fonts.enableDefaultFonts = true;
  fonts.fontconfig.antialias = true;
  fonts.fonts = with pkgs; [
    cascadia-code
    font-awesome
    noto-fonts
    noto-fonts-emoji
  ];

  environment.systemPackages = with pkgs; [
    alacritty
    firefox
    unstable.keepassxc
    neofetch
    pulseaudio
    pulsemixer
    (
      pkgs.writeTextFile {
        name = "startsway";
        destination = "/bin/startsway";
        executable = true;
        text = ''
          #! ${pkgs.bash}/bin/bash
          
	  export MOZ_ENABLE_WAYLAND=1
	  export QT_QPA_PLATFORM=wayland-egl
	  export QT_WAYLAND_FORCE_DPI=physical
	  export SDL_VIDEODRIVER=wayland
	  export _JAVA_AWT_WM_NOREPARENTING=1
          exec ${pkgs.dbus}/bin/dbus-run-session ${pkgs.sway}/bin/sway
        '';
      }
    )
  ];

  services.syncthing = {
    enable = true;
    openDefaultPorts = true;
    user = "stefan";
    group = "users";
    dataDir = "/home/stefan";
  };

  services.printing.enable = true;
}
